Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create customer need

POST/workspaces/{organizationId}/customer-needs
Path parameters
organizationIdstringrequired
Request body
application/json
customerIdstringrequired
min length 1
issueIdstring
projectIdstring
prioritystring
notestring
Responses
201Need created
idstringrequired
organizationIdstringrequired
customerIdstringrequired
issueIdstring | nullrequired
projectIdstring | nullrequired
prioritystring | nullrequired
notestring | nullrequired
createdAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/customer-needs" \
  -H "Content-Type: application/json" \
  -d '{
  "customerId": "string",
  "issueId": "string",
  "projectId": "string",
  "priority": "string",
  "note": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "customerId": "string",
  "issueId": "string",
  "projectId": "string",
  "priority": "string",
  "note": "string",
  "createdAt": "string"
}